Bug 209137 - kernel-xen is present in both Server/Client and VT/ subdirs in the rhel5 install tree
kernel-xen is present in both Server/Client and VT/ subdirs in the rhel5 inst...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: distribution (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gregorovic
Daniel Riek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-03 11:11 EDT by Stephen Tweedie
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 20:00:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Tweedie 2006-10-03 11:11:18 EDT
Description of problem:
Subject says it all.  The result is that kernel-xen packages appear twice in
both the Client and Server build trees.

Version-Release number of selected component (if applicable):
nightly RHEL5 build for 20061003.
Comment 2 RHEL Product and Program Management 2006-10-26 15:34:14 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Dennis Gregorovic 2006-11-21 14:49:50 EST
fixed checked into Distill.  Should appear in the next set of trees
Comment 4 Dennis Gregorovic 2006-12-07 11:50:59 EST
re-opening.  kernel-xen is only in the VT directory now, but that is causing a
dependency problem.  I need to move kernel-xen from VT/ to {Server,Client}/

/usr/bin/repoclosure -c /tmp/yumeJdaLt.conf -a i686 -r ClusterStorage -r Server
0 Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 2
   ClusterStorage
   Server
Num Packages in Repos: 2107
package: kmod-gnbd-xen - 0.1.2-3.2.6.18_1.2839.el5.i686 from ClusterStorage
  unresolved deps:
     kernel-i686 = 0:2.6.18-1.2839.el5xen
package: kmod-gfs-xen - 0.1.14-1.2.6.18_1.2839.el5.i686 from ClusterStorage
  unresolved deps:
     kernel-i686 = 0:2.6.18-1.2839.el5xen
Comment 5 Jeremy Katz 2006-12-07 17:25:37 EST
(In reply to comment #4)
> re-opening.  kernel-xen is only in the VT directory now, but that is causing a
> dependency problem.  I need to move kernel-xen from VT/ to {Server,Client}/

kernel-xen should be in Server/Client anyway!  Otherwise, you have to use a Virt
enabled key to be able to install a paravirt guest.  
Comment 6 Jay Turner 2006-12-14 07:59:36 EST
OK, I'm confused . . . did something change back?  With the 1207 trees, the only
place I have kernel-xen is in VT/ :

[jturner@porkchop 4.92]$ pwd
/mnt/redhat/rel-eng/RHEL5-Client-20061207.0/4.92
[jturner@porkchop 4.92]$ find . -name "kernel-xen-2*" -print
./i386/os/VT/kernel-xen-2.6.18-1.2839.el5.i686.rpm
./x86_64/os/VT/kernel-xen-2.6.18-1.2839.el5.x86_64.rpm
[jturner@porkchop 4.92]$ pwd
/mnt/redhat/rel-eng/RHEL5-Server-20061207.4/4.92
[jturner@porkchop 4.92]$ find . -name "kernel-xen-2*" -print
./i386/os/VT/kernel-xen-2.6.18-1.2839.el5.i686.rpm
./x86_64/os/VT/kernel-xen-2.6.18-1.2839.el5.x86_64.rpm
./ia64/os/VT/kernel-xen-2.6.18-1.2839.el5.ia64.rpm

Reopening.
Comment 8 RHEL Product and Program Management 2006-12-22 20:00:38 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.